[rspec-users] Spork 0.57

David Chelimsky dchelimsky at gmail.com
Fri Jun 19 10:34:16 EDT 2009


On Fri, Jun 19, 2009 at 9:33 AM, David Chelimsky<dchelimsky at gmail.com> wrote:
> On Fri, Jun 19, 2009 at 9:24 AM, Yi Wen<hayafirst at gmail.com> wrote:
>> Hello,
>>
>> I has spork 0.5.0 and worked fine. now I updated to spork 0.5.7 which seems
>> to break the existing setting. The stack trace looks like this:
>>
>> Using RSpec
>> Preloading Rails environment
>> Loading Spork.prefork block...
>> uninitialized constant MissingSourceFile (NameError)
>> /my_proj/vendor/gems/rspec-rails-1.2.6/lib/spec/rails.rb:5
>> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in
>> `gem_original_require'
>> /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
>> /my_porj/spec/spec_helper.rb:8
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork.rb:11:in
>> `prefork'
>> /my_porj/spec/spec_helper.rb:4
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/server.rb:166:in
>> `load'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/server.rb:166:in
>> `preload'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/app_framework/rails.rb:121:in
>> `preload'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/server.rb:162:in
>> `preload'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork.rb:41:in
>> `exec_prefork'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/server.rb:148:in
>> `preload'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/runner.rb:95:in
>> `run'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/../lib/spork/runner.rb:10:in
>> `run'
>> /usr/local/lib/ruby/gems/1.8/gems/timcharper-spork-0.5.7/bin/spork:11
>> /usr/local/bin/spork:19:in `load'
>> /usr/local/bin/spork:19
>>
>>
>> It's missing application_controller. THe environment.rb is loaded before
>> require 'spec/rails'. Any idea?
>
> It's probably because of this:
> https://rspec.lighthouseapp.com/projects/5645/tickets/839
>
> If so, just remove the conditional from the line that requires environment.rb

If that's not it, you may want to try the spork google group:

http://groups.google.com/group/sporkgem


>
>
>
>>
>> Thanks
>>
>> Yi
>> _______________________________________________
>> rspec-users mailing list
>> rspec-users at rubyforge.org
>> http://rubyforge.org/mailman/listinfo/rspec-users
>>
>


More information about the rspec-users mailing list